﻿/* #region Overrides for site styles */
:root {
    /* Make the border classes match the hr element at top for consistency */
    --bs-border-color: rgb(156 160 176 / 0.25);
}

/* Remove the margin to line up the border between columns with the hr at the top of the page */
hr {
    margin: 0;
}

/* Prevent long text from overflowing the col and container-fluid (for some reason both want to grow to fit it) */
.container-fluid, .col-lg {
    min-width: 0;
}

/* Make the text border under the subtitle better spaced */
.display-6 {
    margin-bottom: 1rem;
}

/* #endregion */

/* #region Overrides for treeview.css */
/* Essentially remove the wrapper to make the tree flow better with the page */
.custom-treeview-wrapper {
    background-color: unset !important;
    border: unset !important;
    max-height: calc(116vh - 180px);
    height:1000px;
    overflow-y: auto;
    margin: unset !important;
    box-shadow: unset !important;
}
/* #endregion */

/* #region Responsive styling */
@media (min-width: 768px) {
    #explorerWrapper {
        height: 100vh !important;
    }
}
/* #endregion */
